<?php

define('LANG_CSP_CONTROLLER', 'Политика защиты контента');
define('LANG_CSP_GEN', 'Генератор строки Content Security Policy');
define('LANG_CSP_GEN_HINT', 'Настройте вашу политику CSP и сохраните настройки. Это раздел для опытных пользователей, мы крайне рекомендуем изучить документацию, прежде чем включать.');
define('LANG_CSP_ENABLE_CSP', 'Включить CSP HTTP заголовки');
define('LANG_CSP_ENABLE_CSP_HINT', 'На начальном этапе настройки включайте <b>исключительно</b> с включеннной опцией Режим «Только отчёты»');
define('LANG_CSP_IS_REPORT_ONLY', 'Режим «Только отчёты»');
define('LANG_CSP_IS_REPORT_ONLY_HINT', 'Браузер ничего не блокирует, в отчёты регистрируется то, что будет заблокировано.');
define('LANG_CSP_ENABLE_REPORT', 'Включить регистрацию отчётов');
define('LANG_CSP_CSP_STR', 'Текущая строка Content-Security-Policy');
define('LANG_CSP_CSP_STR_HINT', 'Генерируется автоматически из выбранных опций в конструкторе');
define('LANG_CSP_REPORTS', 'Отчёты');
define('LANG_CSP_BLOCKED_URI', 'Блокированный URL');
define('LANG_CSP_STATUS_CODE', 'HTTP статус');
define('LANG_CSP_VIOLATED_DIRECTIVE', 'Нарушено');
define('LANG_CSP_IP', 'IP адрес');
define('LANG_CSP_LINE_NUMBER', 'Номер строки');
define('LANG_CSP_DOCUMENT_URI', 'URL страницы');
define('LANG_CSP_EFFECTIVE_DIRECTIVE', 'Директива нарушения');
define('LANG_CSP_DELETE_CONFIRM', 'Удалить выделенные записи лога?');
define('LANG_CSP_DELETE_SUCCESS', 'Выделенные записи логов успешно удалены');
define('LANG_CSP_ADD_BLOCK', 'Добавить директиву');
define('LANG_CSP_DOMAIN_PLACEHOLDER', 'Список хостов или HTTP схем, через пробел');
define('LANG_CSP_DIRECTIVES', ['all' => 'Разрешает все источники для этой директивы', 'none' => 'Не позволяет загружать никакие ресурсы', 'self' => 'Разрешает ресурсы только с текущего домена, не включая поддомены', 'data' => 'Разрешает схему data: в источниках', 'unsafe-inline' => 'Позволяет использовать встроенные ресурсы, такие как элементы <script> и <style> внутри страницы.', 'unsafe-hashes' => 'Позволяет выполнять встроенные сценарии в атрибуте обработчика событий JavaScript элемента HTML', 'nonce' => 'Включает значение «nonce» для директивы', 'unsafe-eval' => 'Позволяет использовать такие методы, как eval(), для интерпретации кода из строк', 'strict-dynamic' => 'Доверие, оказываемое скрипту на странице благодаря сопутствующему «nonce», распространяется на загружаемые им скрипты']);
define('LANG_CSP_HINTS', ['default-src' => 'Директива default-src определяет политику безопасности для типов содержимого, которые не определены собственными директивами.', 'script-src' => 'Директива script-src определяет допустимые источники для JavaScript. Если эта директива не указана, применяется default-src. При наличии script-src или default-src использование inline script и eval() блокируется без добавления Unsafe Inline и Unsafe Eval соответственно.', 'script-src-elem' => 'Директива script-src-elem определяет допустимые источники для JavaScript в элементах сценария (запросы сценария, блоки сценария). Если эта директива не указана, она возвращается к script-src (которая, в свою очередь, возвращается к default-src). Если она присутствует, использование inline script и eval() блокируется без добавления Unsafe Inline и Unsafe Eval соответственно.', 'script-src-attr' => 'Директива script-src-attr определяет допустимые источники JavaScript в атрибутах, таких как встроенные обработчики. Если эта директива не указана, она возвращается к script-src (который, в свою очередь, возвращается к default-src). Если она присутствует, использование inline script и eval() блокируется без добавления Unsafe Inline и Unsafe Eval соответственно.', 'style-src' => 'Директива style-src определяет допустимые источники для таблиц стилей. Если эта директива не указана, применяется default-src. Когда присутствуют style-src или default-src, использование встроенных элементов <style> и атрибутов стилей HTML запрещено, если только вы не укажете Unsafe Inline.', 'style-src-elem' => 'Директива style-src-elem определяет допустимые источники для таблиц стилей, за исключением стилей, определенных в атрибутах. Если эта директива не указана, она возвращается к style-src (которая, в свою очередь, возвращается к default-src). Когда она присутствует, использование встроенных элементов <style> и атрибутов стилей HTML отключено, если только вы не укажете Unsafe Inline.', 'style-src-attr' => 'Директива style-src-attr определяет допустимые источники для таблиц стилей в атрибутах inline. Если эта директива не указана, она отступает перед style-src (которая, в свою очередь, отступает перед default-src). Когда она присутствует, использование встроенных элементов <style> и атрибутов стилей HTML отключено, если вы не укажете Unsafe Inline.', 'img-src' => 'Директива img-src определяет допустимые источники для изображений и фавиконов. Если эта директива не указана, применяется default-src.', 'font-src' => 'Директива font-src определяет допустимые источники для шрифтов, загружаемых с помощью @font-face. Если эта директива не указана, применяется default-src.', 'connect-src' => 'Директива connect-src определяет допустимые источники для соединений fetch, XMLHttpRequest, WebSocket и EventSource. Если эта директива не указана, применяется default-src.', 'media-src' => 'Директива media-src определяет допустимые источники для элементов <audio> и <video>. Если эта директива не указана, применяется default-src.', 'object-src' => 'Директива object-src определяет допустимые источники для элементов <object>, <embed> и <applet>. Если эта директива не указана, применяется default-src.', 'child-src' => 'Директива child-src определяет допустимые источники для таких элементов, как <frame> и <iframe>. Если эта директива не указана, применяется default-src.', 'frame-src' => 'Директива frame-src определяет допустимые источники для таких элементов, как <frame> и <iframe>. Если эта директива не указана, применяется child-src (которая, в свою очередь, возвращается к default-src).', 'worker-src' => 'Директива worker-src определяет допустимые источники для Worker, SharedWorker или ServiceWorker. Если эта директива не указана, применяется default-src.', 'frame-ancestors' => 'Директива frame-ancestors определяет родителей, которые могут встраивать страницу с помощью таких элементов, как <frame> и <iframe>. Она заменяет заголовок X-Frame-Options.', 'form-action' => 'Директива form-action определяет ссылки, которые могут быть использованы для отправки <form>.', 'manifest-src' => 'Директива manifest-src указывает, какой manifest может быть применен к ресурсу. Если эта директива не указана, применяется default-src.']);
